Subject: Re: [PATCH] git-gui: Help identify aspell version on Windows too

From: Johannes Sixt <[email-masked]>
Date: Fri, 26 Sep 2008 11:31:52 +0200

Gustaf Hendeby schrieb:
> On 09/26/2008 08:29 AM, Johannes Sixt wrote:
>> Gustaf Hendeby schrieb:
>>> On windows, git gui fails to correctly extract the aspell version
>>> (experienced with aspell version 0.50.3) due to scilent white space at
>>> the end of the version string.  Trim the obtained version string to
>>> work around this.
>> With this I've partial success here: Aspell 0.50.3 alpha (downloaded from
>> http://aspell.net/win32/) is recognized, but
>>
>> - it only ever checks the first line of the commit message;
> 
> Hmm, strange, I just had it mark my whole first like red, I think it
> took an enter at the end of the line to get everything started though.
> Does it check the rest of the lines for you?  I know spell checking is
> disabled for too early versions of Aspell, due to some change in the
> interface I think.

My situation is this: I fire up git-gui, and because I have some stale
.git/GITGUI_MSG file, the commit message box is not empty. Aspell begins
its work, and git-gui correctly marks spelling mistakes in the first line.
Even if I type new text, delete old text, or change the whole text by
clicking "Amend", no new spelling mistakes are marked for the whole session.

-- Hannes